/*  lil-gp Genetic Programming System, version 1.0, 11 July 1995
 *  Copyright (C) 1995  Michigan State University
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public License as
 *  published by the Free Software Foundation.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *  
 *  Douglas Zongker       (zongker@isl.cps.msu.edu)
 *  Dr. Bill Punch        (punch@isl.cps.msu.edu)
 *
 *  Computer Science Department
 *  A-714 Wells Hall
 *  Michigan State University
 *  East Lansing, Michigan  48824
 *  USA
 *  
 */

#ifndef _FUNCTIONS_H
#define _FUNCTIONS_H

#include <lilgp.h>
#include "defines.h"
#include "app.h"

DATATYPE f_AND (int tree, farg *args);
DATATYPE f_OR (int tree, farg *args);
DATATYPE f_NOT (int tree, farg *args);
DATATYPE f_GT (int tree, farg *args);
DATATYPE f_LT (int tree, farg *args);
DATATYPE f_MA1 (int tree, farg *args);
DATATYPE f_MA5 (int tree, farg *args);
DATATYPE f_MA10 (int tree, farg *args);
DATATYPE f_MA15 (int tree, farg *args);
DATATYPE f_MA25 (int tree, farg *args);
DATATYPE f_MA50 (int tree, farg *args);
DATATYPE f_MA75 (int tree, farg *args);
DATATYPE f_MA100 (int tree, farg *args);
DATATYPE f_MA150 (int tree, farg *args);
DATATYPE f_MA200 (int tree, farg *args);
DATATYPE f_MA365 (int tree, farg *args);
DATATYPE f_EA25 (int tree, farg *args);
DATATYPE f_EA5 (int tree, farg *args);
DATATYPE f_EA9 (int tree, farg *args);
DATATYPE f_EA15 (int tree, farg *args);
DATATYPE f_EA20 (int tree, farg *args);
DATATYPE f_NVIG (int tree, farg *args);
DATATYPE f_NVIL (int tree, farg *args);
DATATYPE f_PVIG (int tree, farg *args);
DATATYPE f_PVIL (int tree, farg *args);
DATATYPE f_CLOSING (int tree, farg *args);
DATATYPE f_TYPICAL (int tree, farg *args);
DATATYPE f_MACDL (int tree, farg *args);
DATATYPE f_MACDG (int tree, farg *args);
DATATYPE f_CCIG (int tree, farg *args);
DATATYPE f_CCIL (int tree, farg *args);
DATATYPE f_EOMG (int tree, farg *args);
DATATYPE f_EOML (int tree, farg *args);
DATATYPE f_MFIG (int tree, farg *args);
DATATYPE f_MFIL (int tree, farg *args);
DATATYPE f_MACDGZ (int tree, farg *args);
DATATYPE f_MACDLZ (int tree, farg *args);;
#endif
